- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Class

# FFMpeg\Filters\Frame\FrameFilters

class FrameFilters

## Methods

| __construct(Frame $frame) |
FrameFilters | fixDisplayRatio() Fixes the display ratio of the output frame. |

## Details

###
at line 20
`public __construct(Frame $frame)`

#### Parameters

Frame | $frame |

###
at line 33
`public FrameFilters fixDisplayRatio()`

Fixes the display ratio of the output frame.

In case the sample ratio and display ratio are different, image may be anamorphozed. This filter fixes this by specifying the output size.

#### Return Value

FrameFilters |